<template>
  <v-container>
    <v-text-field v-model="title" single-line solo placeholder="Title">
    </v-text-field>
    <editor
      v-model="editorText"
      :options="editorOptions"
      :html="editorHtml"
      :visible="editorVisible"
      previewStyle="vertical"
      height="500px"
      mode="wysiwyg"
    />
    <div class="my-2">
      <v-btn block color="secondary" dark @click="submit">Submit</v-btn>
    </div>
  </v-container>
</template>

<script>
import "tui-editor/dist/tui-editor.css";
import "tui-editor/dist/tui-editor-contents.css";
import "codemirror/lib/codemirror.css";
import { Editor } from "@toast-ui/vue-editor";
import PasteDataService from "../services/PasteDataService";

export default {
  name: "TextEditor",
  data() {
    return {
      title: "",
      editorText: "",
      editorOptions: {
        hideModeSwitch: false,
        minHeight: "300px",
        useCommandShortcut: true,
        useDefaultHTMLSanitizer: true,
        usageStatistics: true,
        toolbarItems: [
          "heading",
          "bold",
          "italic",
          "strike",
          "divider",
          "hr",
          "quote",
          "divider",
          "ul",
          "ol",
          "task",
          "indent",
          "outdent",
          "divider",
          "table",
          "image",
          "link",
          "divider",
          "code",
          "codeblock"
        ]
      },
      editorHtml: "",
      editorVisible: true
    };
  },
  components: {
    editor: Editor
  },
  methods: {
    submit() {
      // console.log({
      // 	title: this.title,
      // 	content: this.editorText
      // });
      PasteDataService.createPaste({
        title: this.title,
        content: this.editorText
      })
        .then(() => {
          //console.log(res);
          this.$router.go(0);
        })
        .catch(error => {
          if (error.response) {
            this.$swal("Error", error.response.data.error, "error");
          }
        });
    }
  }
};
</script>

<style>
.v-text-field--outlined > .v-input__control > .v-input__slot {
  background: white;
}
</style>
